"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PathFileUtil = void 0;
const path_1 = require("path");
const fs_1 = require("fs");
exports.PathFileUtil = {
    isPath(p) {
        // eslint-disable-next-line no-useless-escape
        if (/(^[\.\/])|:|\\/.test(p)) {
            return true;
        }
        return false;
    },
    isPathEqual(one, two) {
        if (!one || !two) {
            return false;
        }
        const ext = (0, path_1.extname)(one);
        return one.replace(ext, '') === two;
    },
    getFileContentSync(filePath, encoding) {
        return typeof filePath === 'string'
            ? (0, fs_1.readFileSync)(filePath, {
                encoding,
            })
            : filePath;
    },
};
//# sourceMappingURL=pathFileUtil.js.map